package com.test.client;

import java.util.logging.LogManager;
import java.io.*;

import javax.persistence.Persistence;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityManager;

import com.test.entities.TestEntity;

/**
 * @author <a href="mailto:rajbirsb@gmail.com">Rajbir Singh</a>
 * @version $Revision$, $Date$, $Author$
 * @since May 15, 2008
 */
public class Client
{
    public static void main(String[] args)
    {
        Client client = new Client();
        client.initializeJavaLoggingProperties();
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("pu1");
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();

        TestEntity entity = new TestEntity();
        entity.setIdNumber(1);
        entity.setName("entity1");
        em.persist(entity);

        em.getTransaction().commit();
        emf.close();
    }

    private void initializeJavaLoggingProperties()
    {
        InputStream inStream = null;
        try {
            inStream = Client.class.getClassLoader().getResourceAsStream("logging.properties");
            LogManager.getLogManager().readConfiguration(inStream);
            inStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        } finally{
            if(inStream != null){
                try {
                    inStream.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
